## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl
Class SybaseasabasesqlmodelFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseasabasesqlmodelFactoryImpl

All Implemented Interfaces:
  SybaseasabasesqlmodelFactory, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

    public class SybaseasabasesqlmodelFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements SybaseasabasesqlmodelFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.SybaseasabasesqlmodelFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SybaseasabasesqlmodelFactoryImpl()` Creates an instance of the factory.

Method Summary
`java.lang.String` `convertAllowNullTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertEventLocationTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertEventTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertIntervalUnitTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertJavaSupportTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertParameterTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertSybaseASABaseActionTimeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertSystemDefinedDefaultTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertTransactionOptionToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertTypeOfDefaultToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` `create(org.eclipse.emf.ecore.EClass eClass)`
`AllowNullType` `createAllowNullTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`EncryptionInfo` `createEncryptionInfo()`
`EventCondition` `createEventCondition()`
`EventLocationType` `createEventLocationTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`EventType` `createEventTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`java.lang.Object` `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`IntervalUnitType` `createIntervalUnitTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`JavaSupportType` `createJavaSupportTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`ParameterType` `createParameterTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`Schedule` `createSchedule()`
`SybaseASABaseActionTime` `createSybaseASABaseActionTimeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`SybaseASABaseColumn` `createSybaseASABaseColumn()`
`SybaseASABaseColumnCheckConstraint` `createSybaseASABaseColumnCheckConstraint()`
`SybaseASABaseDatabase` `createSybaseASABaseDatabase()`
`SybaseASABaseDBSpace` `createSybaseASABaseDBSpace()`
`SybaseASABaseEvent` `createSybaseASABaseEvent()`
`SybaseASABaseForeignKey` `createSybaseASABaseForeignKey()`
`SybaseASABaseFunction` `createSybaseASABaseFunction()`
`SybaseASABaseGroup` `createSybaseASABaseGroup()`
`SybaseASABaseIndex` `createSybaseASABaseIndex()`
`SybaseASABaseParameter` `createSybaseASABaseParameter()`
`SybaseASABasePredefinedDataType` `createSybaseASABasePredefinedDataType()`
`SybaseASABasePrimaryKey` `createSybaseASABasePrimaryKey()`
`SybaseASABaseProcedure` `createSybaseASABaseProcedure()`
`SybaseASABaseProxyTable` `createSybaseASABaseProxyTable()`
`SybaseASABaseRemoteProcedure` `createSybaseASABaseRemoteProcedure()`
`SybaseASABaseSchema` `createSybaseASABaseSchema()`
`SybaseASABaseTable` `createSybaseASABaseTable()`
`SybaseASABaseTempTable` `createSybaseASABaseTempTable()`
`SybaseASABaseTrigger` `createSybaseASABaseTrigger()`
`SybaseASABaseUniqueConstraint` `createSybaseASABaseUniqueConstraint()`
`SybaseASABaseUser` `createSybaseASABaseUser()`
`SybaseASABaseUserDefinedType` `createSybaseASABaseUserDefinedType()`
`SybaseASABaseViewTable` `createSybaseASABaseViewTable()`
`SybaseASADefaultWrapper` `createSybaseASADefaultWrapper()`
`SybaseASAWebService` `createSybaseASAWebService()`
`SystemDefinedDefaultType` `createSystemDefinedDefaultTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`TransactionOption` `createTransactionOptionFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`TypeOfDefault` `createTypeOfDefaultFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`static SybaseasabasesqlmodelPackage` `getPackage()` Deprecated.
`SybaseasabasesqlmodelPackage` `getSybaseasabasesqlmodelPackage()`
`static SybaseasabasesqlmodelFactory` `init()` Creates the default factory implementation.

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicSetEPackage, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eUnset, getEPackage, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### SybaseasabasesqlmodelFactoryImpl

    public SybaseasabasesqlmodelFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static SybaseasabasesqlmodelFactory init()

  Creates the default factory implementation.

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createFromString

    public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### convertToString

    public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createSybaseASABaseEvent

    public SybaseASABaseEvent createSybaseASABaseEvent()

  Specified by:
    `createSybaseASABaseEvent` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Base Event'.

### createSybaseASABaseDatabase

    public SybaseASABaseDatabase createSybaseASABaseDatabase()

  Specified by:
    `createSybaseASABaseDatabase` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Base Database'.

### createSybaseASAWebService

    public SybaseASAWebService createSybaseASAWebService()

  Specified by:
    `createSybaseASAWebService` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Web Service'.

### createEncryptionInfo

    public EncryptionInfo createEncryptionInfo()

  Specified by:
    `createEncryptionInfo` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Encryption Info'.

### createSybaseASABaseUserDefinedType

    public SybaseASABaseUserDefinedType createSybaseASABaseUserDefinedType()

  Specified by:
    `createSybaseASABaseUserDefinedType` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Base User Defined Type'.

### createSybaseASABasePredefinedDataType

    public SybaseASABasePredefinedDataType createSybaseASABasePredefinedDataType()

  Specified by:
    `createSybaseASABasePredefinedDataType` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Base Predefined Data Type'.

### createSybaseASABaseTable

    public SybaseASABaseTable createSybaseASABaseTable()

  Specified by:
    `createSybaseASABaseTable` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Base Table'.

### createSybaseASABaseColumn

    public SybaseASABaseColumn createSybaseASABaseColumn()

  Specified by:
    `createSybaseASABaseColumn` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Base Column'.

### createSybaseASABaseUniqueConstraint

    public SybaseASABaseUniqueConstraint createSybaseASABaseUniqueConstraint()

  Specified by:
    `createSybaseASABaseUniqueConstraint` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Base Unique Constraint'.

### createSybaseASABasePrimaryKey

    public SybaseASABasePrimaryKey createSybaseASABasePrimaryKey()

  Specified by:
    `createSybaseASABasePrimaryKey` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Base Primary Key'.

### createSybaseASABaseForeignKey

    public SybaseASABaseForeignKey createSybaseASABaseForeignKey()

  Specified by:
    `createSybaseASABaseForeignKey` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Base Foreign Key'.

### createSybaseASABaseIndex

    public SybaseASABaseIndex createSybaseASABaseIndex()

  Specified by:
    `createSybaseASABaseIndex` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Base Index'.

### createSybaseASABaseDBSpace

    public SybaseASABaseDBSpace createSybaseASABaseDBSpace()

  Specified by:
    `createSybaseASABaseDBSpace` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Base DB Space'.

### createSybaseASABaseViewTable

    public SybaseASABaseViewTable createSybaseASABaseViewTable()

  Specified by:
    `createSybaseASABaseViewTable` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Base View Table'.

### createSybaseASABaseFunction

    public SybaseASABaseFunction createSybaseASABaseFunction()

  Specified by:
    `createSybaseASABaseFunction` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Base Function'.

### createSybaseASABaseProcedure

    public SybaseASABaseProcedure createSybaseASABaseProcedure()

  Specified by:
    `createSybaseASABaseProcedure` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Base Procedure'.

### createSybaseASABaseTempTable

    public SybaseASABaseTempTable createSybaseASABaseTempTable()

  Specified by:
    `createSybaseASABaseTempTable` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Base Temp Table'.

### createSybaseASABaseTrigger

    public SybaseASABaseTrigger createSybaseASABaseTrigger()

  Specified by:
    `createSybaseASABaseTrigger` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Base Trigger'.

### createSybaseASABaseProxyTable

    public SybaseASABaseProxyTable createSybaseASABaseProxyTable()

  Specified by:
    `createSybaseASABaseProxyTable` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Base Proxy Table'.

### createSybaseASABaseColumnCheckConstraint

    public SybaseASABaseColumnCheckConstraint createSybaseASABaseColumnCheckConstraint()

  Specified by:
    `createSybaseASABaseColumnCheckConstraint` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Base Column Check Constraint'.

### createSchedule

    public Schedule createSchedule()

  Specified by:
    `createSchedule` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Schedule'.

### createSybaseASABaseRemoteProcedure

    public SybaseASABaseRemoteProcedure createSybaseASABaseRemoteProcedure()

  Specified by:
    `createSybaseASABaseRemoteProcedure` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Base Remote Procedure'.

### createSybaseASABaseParameter

    public SybaseASABaseParameter createSybaseASABaseParameter()

  Specified by:
    `createSybaseASABaseParameter` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Base Parameter'.

### createSybaseASABaseGroup

    public SybaseASABaseGroup createSybaseASABaseGroup()

  Specified by:
    `createSybaseASABaseGroup` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Base Group'.

### createSybaseASABaseSchema

    public SybaseASABaseSchema createSybaseASABaseSchema()

  Specified by:
    `createSybaseASABaseSchema` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Base Schema'.

### createSybaseASABaseUser

    public SybaseASABaseUser createSybaseASABaseUser()

  Specified by:
    `createSybaseASABaseUser` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Base User'.

### createSybaseASADefaultWrapper

    public SybaseASADefaultWrapper createSybaseASADefaultWrapper()

  Specified by:
    `createSybaseASADefaultWrapper` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase ASA Default Wrapper'.

### createEventCondition

    public EventCondition createEventCondition()

  Specified by:
    `createEventCondition` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    a new object of class 'Event Condition'.

### createTransactionOptionFromString

    public TransactionOption createTransactionOptionFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.String initialValue)

### convertTransactionOptionToString

    public java.lang.String convertTransactionOptionToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                             java.lang.Object instanceValue)

### createTypeOfDefaultFromString

    public TypeOfDefault createTypeOfDefaultFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                       java.lang.String initialValue)

### convertTypeOfDefaultToString

    public java.lang.String convertTypeOfDefaultToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.Object instanceValue)

### createSybaseASABaseActionTimeFromString

    public SybaseASABaseActionTime createSybaseASABaseActionTimeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                           java.lang.String initialValue)

### convertSybaseASABaseActionTimeToString

    public java.lang.String convertSybaseASABaseActionTimeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                   java.lang.Object instanceValue)

### createEventTypeFromString

    public EventType createEventTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                               java.lang.String initialValue)

### convertEventTypeToString

    public java.lang.String convertEventTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.Object instanceValue)

### createJavaSupportTypeFromString

    public JavaSupportType createJavaSupportTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                           java.lang.String initialValue)

### convertJavaSupportTypeToString

    public java.lang.String convertJavaSupportTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                           java.lang.Object instanceValue)

### createEventLocationTypeFromString

    public EventLocationType createEventLocationTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.String initialValue)

### convertEventLocationTypeToString

    public java.lang.String convertEventLocationTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                             java.lang.Object instanceValue)

### createIntervalUnitTypeFromString

    public IntervalUnitType createIntervalUnitTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                             java.lang.String initialValue)

### convertIntervalUnitTypeToString

    public java.lang.String convertIntervalUnitTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                            java.lang.Object instanceValue)

### createSystemDefinedDefaultTypeFromString

    public SystemDefinedDefaultType createSystemDefinedDefaultTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                             java.lang.String initialValue)

### convertSystemDefinedDefaultTypeToString

    public java.lang.String convertSystemDefinedDefaultTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                    java.lang.Object instanceValue)

### createAllowNullTypeFromString

    public AllowNullType createAllowNullTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                       java.lang.String initialValue)

### convertAllowNullTypeToString

    public java.lang.String convertAllowNullTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.Object instanceValue)

### createParameterTypeFromString

    public ParameterType createParameterTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                       java.lang.String initialValue)

### convertParameterTypeToString

    public java.lang.String convertParameterTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.Object instanceValue)

### getSybaseasabasesqlmodelPackage

    public SybaseasabasesqlmodelPackage getSybaseasabasesqlmodelPackage()

  Specified by:
    `getSybaseasabasesqlmodelPackage` in interface `SybaseasabasesqlmodelFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static SybaseasabasesqlmodelPackage getPackage()

  Deprecated.